Bug 1675242 - kxstitch: FTBFS in Fedora rawhide/f30
Summary: kxstitch: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kxstitch
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Golo Fuchert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 20:39 UTC by Fedora Release Engineering
Modified: 2019-08-13 01:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 15:46:16 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 20:39 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 20:39 UTC, Fedora Release Engineering
no flags Details
state.log (625 bytes, text/plain)
2019-02-11 20:39 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 20:39:08 UTC
kxstitch failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32406031


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix kxstitch at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
kxstitch will be orphaned. Before branching of Fedora 31,
kxstitch will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 20:39:11 UTC
Created attachment 1530837 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 20:39:12 UTC
Created attachment 1530838 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 20:39:13 UTC
Created attachment 1530839 [details]
state.log

Comment 4 Golo Fuchert 2019-02-24 14:53:38 UTC
I am investigating this error right now.

Comment 5 Robin Laing 2019-05-04 22:55:47 UTC
Note, there are some major code changed from KXStitch 2.0 and 2.1.1 which is current.  Part of the changes are due to crashes in 2.0 which occur in F29 and there is a bug report on.  2.1 doesn't crash but still has some issues.


https://bugzilla.redhat.com/show_bug.cgi?id=1575165

I just looked at the KODI link and that is for 2.0 so I am not surprised there are build issues.

Some of the issues I see on the list were related to QT and ImageMagick which might be related to the build issues.  Try the latest code source code.

Comment 6 Robin Laing 2019-05-06 02:26:54 UTC
This link might point to how to compile.

From KXStitch mail list.  There will be an update very soon to fix some bugs.  One being issue with image import and newer version of ImageMagick


https://mageia.pkgs.org/cauldron/mageia-core-release-x86_64/kxstitch-2.1.1-5.mga7.x86_64.rpm.html

Comment 7 Fedora Release Engineering 2019-08-08 15:46:16 UTC
The package was retired.

Comment 8 Robin Laing 2019-08-11 07:51:12 UTC
I am assuming that this means it is only Fedora that is not going to provide it anymore as kxstitch is still being worked on.

I just compiled it a few weeks ago on F29.  No issues.


See this bug for comments.  https://bugzilla.redhat.com/show_bug.cgi?id=1575165

Comment 9 Golo Fuchert 2019-08-12 07:57:26 UTC
There were a couple of minor issues that showed up on f30+ that prevented compiling. I figured them out, though, and also talked to upstream about which version to use. Unfortunately I didn't finish all this before the package was retired, but I already successfully requested to unretire it. I will push the upgrade this week and then kxstitch should be back. Sorry for being slow on this one.

Comment 10 Robin Laing 2019-08-13 01:50:54 UTC
It happens when life interferes.

I understand it was an issue in April but with the problems, with the much older one, I compiled the current version for my wife and it was quite easy.  

Thanks for the update.  I will pass it on to my wife.

Robin


Note You need to log in before you can comment on or make changes to this bug.